/* === Global Variables === */
:root {
  --darkgreen: #0b4d0c;
  /*#2a4a32;*/
  --pastelligthgreen: #c9cebd;
  --redbrowntrans: #A62C21bd;
}

/* === FONTS === */
@font-face {
    font-family: 'Water Brush';
    src: url('../fonts/WaterBrush-Regular.eot');
    src: local(''),
        url('../fonts/WaterBrush-Regular.eot?#iefix') format('embedded-opentype'),
        url('../fonts/WaterBrush-Regular.woff2') format('woff2'),
        url('../fonts/WaterBrush-Regular.woff') format('woff'),
        url('../fonts/WaterBrush-Regular.ttf') format('truetype'),
        url('../fonts/WaterBrush-Regular.svg#Quicksand-Light') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Quicksand';
    src: url('../fonts/Quicksand-Regular.eot');
    src: local(''),
        url('../fonts/Quicksand-Regular.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Quicksand-Regular.woff2') format('woff2'),
        url('../fonts/Quicksand-Regular.woff') format('woff'),
        url('../fonts/Quicksand-Regular.ttf') format('truetype'),
        url('../fonts/Quicksand-Regular.svg#Quicksand-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
  font-family: 'Exo 2';
  src: url('../fonts/Exo2-Regular.eot');
  src: local(''),
      url('../fonts/Exo2-Regular.eot?#iefix') format('embedded-opentype'),
      url('../fonts/Exo2-Regular.woff2') format('woff2'),
      url('../fonts/Exo2-Regular.woff') format('woff'),
      url('../fonts/Exo2-Regular.ttf') format('truetype'),
      url('../fonts/Exo2-Regular.svg#Exo2-Regular') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* === GLOBAL === */

* {
    box-sizing: border-box;
}

html {
    font-size: 16px;
    height: 100%;
}

body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Quicksand', 'Lato', 'Helvetica Neue', 'Arial', sans-serif;
    background-color: white;
}

.screenreader {
  display: none;
}



/* === CONTENT === */

p {
    margin: 0;
}

#background-video {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  object-position: 60%;
  position:fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
}

#background-pic {
  width: 100%;
  height: auto;
  min-height: 450px;
  object-fit: cover;
  object-position: 60%;
  position:fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
}

@media (max-width: 1300px) {
  #background-video {
    object-position: 70%;

  }
}

@media (max-width: 1150px) {
  #background-video {
    object-position: 80%;

  }
}

@media (max-width: 780px) {
  #background-video {
    object-position: 90%;

  }
}

/* === Navigationsleiste === */
#desktop-nav {
  width: 100%;
}

#desktop-nav > .row {
  background-color: #0b4d0cc4;
}

.template {
  height: 50%;
/*  max-height: 1600px; */
  width: 100%;

/*  background-image: url(../img/TitlePic_large.jpg); 
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover; */

  min-height: 450px;

  position: relative;
}

.home {
  height: 100%;
  width: 100%;
  min-height: 450px;
  position: relative;
}

#header-nav a > img {
  height: 45px;
  width: auto;
  float: left;
  margin: .15rem;
}
  
  #header-nav ul {
    margin: 0;
    padding: 0;
    top: 0rem;
    height: 100%;
    float: right;
  }

  #header-nav ul > li {
    display: inline-block;
    margin: 0;
    height: 100%;
    padding: .8rem 0 .8rem 0;    
  }
  
  #header-nav ul > li > a {
    height: 100%;
    font-size: 1.2rem;
    font-weight: 400;
    padding: 0 1rem 0 1rem;
    border: 2px solid #0b4d0c00;
    border-radius: 10px;
  }
  
  #header-nav ul > li > a:link {
    color: #FFFFFF;
    text-decoration: none;

  }
  
  #header-nav ul > li > a:visited {
    color: #FFFFFF;
    text-decoration: none;
  }

  #header-nav ul > li > a:hover {
   /* color: var(--redbrowntrans); */
   /* font-weight: 700; */
    border: 2px solid var(--pastelligthgreen);
    border-radius: 10px;
    padding: 0.7rem 1rem;
   /* text-transform: uppercase; */
    transition: all 0.3s ease;
  }
  
  #header-nav ul > li > a:active {
    color: #F0F0F0;
    font-weight: 700;
    text-decoration: none;

  }
  
  #header-nav .col-6 {
    padding-top: 0;
    padding-bottom: 0;
  }

  #desktop-nav .active {
    background-color: var(--pastelligthgreen) !important;
    text-transform: uppercase;
    border-radius: 10px;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    pointer-events: none;
    cursor: default;
  }

/* === Navigationsleiste Mobile === */
#mobile-nav {
  width: 100%;
}

#mobile-nav > .row {
  background-color: #0b4d0cc4;
}

#mobile-nav-button {
  color: #FFFFFF;
  float: right;
  font-size: 2rem;
  border: 2px solid #FFFFFF;
  width: 38px;
  height: 38px;
  position: relative;
  margin-top: .4rem;
  margin-bottom: .4rem;
}

#mobile-nav-button > span {
  position: absolute;
  bottom: -2px;
  left: 8px;
}

#mobile-nav-content > ul > li {
  display: block;
  background-color: #0b4d0cc4;
  height: 50px;
  padding-left: 1.2rem;
  padding-right: 1.2rem;
  text-align: center;
  width: 100%;
}

#mobile-nav-dropdown {
  position: relative;
  float: right;
}

#mobile-nav-content {
  position: absolute;
  right: 0;
  top: 50px;
  display: none;
}

#mobile-nav-dropdown:hover > #mobile-nav-content {
  display: block;
}

#mobile-nav .active {
  background-color: var(--pastelligthgreen) !important;
  text-transform: uppercase;
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
  pointer-events: none;
  cursor: default;
}

#mobile-nav {
  display: none;
}

@media (max-width: 850px) {
  #header-nav ul > li > a {
    padding: 0 0.5rem 0 0.5rem;
  }

  #header-nav ul > li > a:hover {
     padding: 0.7rem 0.5rem;
  }
}

@media (max-width: 720px) {
  #desktop-nav {
    display: none;
  }

  #mobile-nav {
    display: block;
  }
}
  
/* === TITLE-PIC === */
#title-col {
    position: absolute;
    right: 0px;
    bottom: 5px;
    padding-top: 2rem;
}

#menu-col {
    text-align: right;
    color: white;
    margin-top: auto;
}

.title-paragraph {
    display: block;
    font-family: 'Water Brush', 'Lato', 'Helvetica Neue', 'Arial', sans-serif;
    font-size: 8.5rem;
    line-height: 8.5rem;
    font-weight: 500;
    color: white;
    text-shadow: -3px 0 black, 0 3px black, 3px 0 black, 0 -3px black;
}

@media (max-width: 1150px) {
  #title-col {
    width: 70%;
  }
}

@media (max-width: 825px) {
  #title-col {
    width: 85%;
  }
}

@media (max-width: 680px) {
  #title-col {
    width: 100%;
  }
}

@media (max-width: 580px) {
  .title-paragraph {
    font-size: 7.0rem;
    line-height: 7.0rem;
  }
}

@media (max-width: 490px) {
  .title-paragraph {
    font-size: 6.0rem;
    line-height: 6.0rem;
  }
}


@media (max-width: 420px) {
  .title-paragraph {
    font-size: 5.0rem;
    line-height: 5.0rem;
  }
}

@media (max-width: 360px) {
  .title-paragraph {
    font-size: 4.0rem;
    line-height: 4.0rem;
  }
}

@media (max-height: 700px) {
  .title-paragraph {
    font-size: 6.0rem;
    line-height: 6.0rem;
  }
}

@media (max-height: 600px) {
  .title-paragraph {
    font-size: 5.0rem;
    line-height: 5.0rem;
  }
}

/* === SECTION DIVIDER === */
.section-content-white {
  background-color: #FFFFFF;
  padding-bottom: 3rem;
}

.section-content-green {
  background-color: var(--pastelligthgreen);
  padding-bottom: 3rem;
}


/* === INTRO BEREICH === */

#intro-bereich {
  background-color: var(--pastelligthgreen);
  padding: 4rem 0rem;
}

#intro-bereich img {
  display: block;
  width: 95%;
  height: auto;
  margin-left: auto;  
  margin-right: auto;
}

#intro-bereich .row {
  display: flex;
  justify-content: center;
  align-items: center;
}

#intro-bereich article {
  font-family: 'Exo 2', 'Lato', 'Helvetica Neue', 'Arial', sans-serif;
  font-size: 3rem;
  font-weight: 700;
  width: 100%;
  padding-left: 4rem;
}

#intro-bereich .hot {
  font-size: 5rem;
  font-weight: 900;
  line-height: 4.3rem;
}

@media (max-width: 1500px) {
  #intro-bereich article {
    font-size: 2.5rem;
    padding-left: 3.5rem;
  }

  #intro-bereich .hot {
    font-size: 4.5rem;
    line-height: 3.8rem;
  }
}

@media (max-width: 1300px) {
  #intro-bereich article {
    font-size: 2rem;
    padding-left: 3rem;
  }

  #intro-bereich .hot {
    font-size: 4rem;
    line-height: 3.3rem;
  }
}

@media (max-width: 1024px) {
  #intro-bereich article {
    font-size: 1.7rem;
    padding-left: 2.5rem;
  }

  #intro-bereich .hot {
    font-size: 3.7rem;
    line-height: 3.0rem;
  }
}

@media (max-width: 940px) {
  #intro-bereich article {
    font-size: 1.5rem;
    padding-left: 2.0rem;
  }

  #intro-bereich .hot {
    font-size: 3.0rem;
    line-height: 2.0rem;
  }
}

@media (max-width: 768px) {
  #intro-bereich img {
    width: 80%;
  }
  
  #intro-bereich .row {
    display: block;
    justify-content: center;
    align-items: center;
  }

  #intro-bereich article {
    font-size: 2.5rem;
    text-align: center;
    padding-top: 1.5rem;
    padding-left: 0rem;
  }

  #intro-bereich .hot {
    font-size: 4.5rem;
    line-height: 3.8rem;
  }
}

@media (max-width: 490px) {
  #intro-bereich img {
    width: 100%;
  }

  #intro-bereich article {
    font-size: 1.5rem;
  }

  #intro-bereich .hot {
    font-size: 3.0rem;
    line-height: 2.3rem;
  }
}

@media (max-width: 410px) {
  #intro-bereich article {
    font-size: 1.3rem;
  }

  #intro-bereich .hot {
    font-size: 2.5rem;
    line-height: 2.0rem;
  }
}

@media (max-width: 340px) {
  #intro-bereich article {
    font-size: 1.3rem;
  }

  #intro-bereich .hot {
    font-size: 2.5rem;
    line-height: 2.0rem;
  }

  #intro-text-area {
    padding: 0;
  }
}


/* === GENERELL SECTIONS === */

.intro-container h1 {
  font-family: 'Exo 2', 'Lato', 'Helvetica Neue', 'Arial', sans-serif;
  font-size: 3.7rem;
  font-weight: 900;
  text-align: center;
}

@media (max-width: 550px) {
  .intro-container h1 { 
    font-size: 3.5rem;
  }
}

@media (max-width: 480px) {
  .intro-container h1 { 
    font-size: 3.0rem;
  }
}

@media (max-width: 410px) {
  .intro-container h1 { 
    font-size: 2.5rem;
  }
}
/* === AKTUELLES === */

#aktuelles {
  background-color: #FFFFFF;
  min-height: 700px;
}


#card-slider-row {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: calc(100% - 50px);
}

.slide-container {
  max-width: 1200px;
  width: 100%;
}

.slide-content {
  margin: 0 40px;
}

.card {
  border-radius: 25px;
  background: #F0F0F0;
  margin-right: 80px;
}

.image-content,
.card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px 14px;
}

.image-content {
  position: relative;
  row-gap: 5px;
  padding: 30px 0;
}

.card-content {
  min-height: 220px;
}

.overlay {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: var(--darkgreen);
  border-radius: 25px 25px 0 0;
  /* border-radius: 25px 25px 0 25px;*/
}
/*
.overlay::before, 
.overlay::after {
  content:'';
  position: absolute;
  right: 0;
  bottom: -40px;
  height: 40px;
  width: 40px;
  background-color: var(--darkgreen);
}
*/
.overlay::after {
  border-radius: 0 25px 0 0;
  background-color: #F0F0F0;
}

.card-image {
  position: relative;
  height: 90px;
  width: 90px;
  border-radius: 50%;
  background:#FFFFFF;
  padding: 2px;
}

.card-image .card-img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 50%;
  border: 4px solid var(--darkgreen);
}

.card-content .date {
  font-size: 1.2rem;
}

.card-content .description {
  text-align: center;
}

.button {
  border: none;
  font-family: 'Quicksand', 'Lato', 'Helvetica Neue', 'Arial', sans-serif;
  font-size: 16px;
  color: #FFFFFF;
  padding: 8px 16px;
  background-color: var(--darkgreen);
  border-radius: 6px;
  margin: 14px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.button:hover {
  background: var(--pastelligthgreen);
}


/* === Überblick === */

#ueberblick {
  background-color: var(--pastelligthgreen);
  padding: 0rem 0rem 4rem 0rem;
}

/* === Service Bereich === */

#service-bereich {
  background-color: #F0F0F0;
}

.service-box {
  text-align: center;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

.service-box h1 {
  font-size: 1.6rem;
}

#service-bereich .row:nth-of-type(2) .col-2:first-of-type .service-box {
  margin-right: 0;
  margin-left: auto;
}

#service-bereich .row:nth-of-type(2) .col-2:nth-of-type(2) .service-box {
  margin-right: auto;
  margin-left: auto;
}

.service-icon {
  width: 130px;
  height: 130px;
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  transition: transform 1s;
}

.service-icon:hover {
  transform: rotateZ(360deg);
}

#anlaesse-icon {
  background: var(--darkgreen) url("./../img/Icon_Trompete.png");
  background-size: 90px;
  background-position: center;
  background-repeat: no-repeat;
}

#flexibel-icon {
  background: var(--darkgreen) url("./../img/Icon_Kunde.png");
  background-size: 90px;
  background-position: center;
  background-repeat: no-repeat;
}

#musikrichtungen-icon {
  background: var(--darkgreen) url("./../img/Icon_Notenschluessel.png");
  background-size: 90px;
  background-position: center;
  background-repeat: no-repeat;
}

@media (max-width: 768px) {
  #service-bereich > .container > .row:nth-of-type(2) .col-2 .service-box {
    margin-right: auto;
    margin-left: auto;
  }

}

@media (max-width: 480px) {
  .service-boxen {
    width: 100%;
  }
}

/* === Sponsoren Bereich === */

#sponsoren {
  background-color: #FFFFFF;
}

.flex-container {
  display: flex;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  justify-content: space-around;
  align-items: center;
  padding-bottom: 4rem;
}

@media (max-width: 1366px) {
  .flex-container {
    width: 90%;
  }
}

@media (max-width: 1024px) {
  .flex-container {
    width: 100%;
    padding-right: 4rem;
    padding-left: 4rem;
  }
}

.sponsor-box {
  flex-basis: 25%;
  padding: 2rem 4rem;
  min-height: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.sponsor-logo {
  width: 200px;
  height: 200px;
  border-width: 3px;
  border-style: solid;
  border-color: var(--darkgreen);
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  box-shadow: 0 0 20px 0 var(--darkgreen);
}

#ferchner-logo {
  background: url("./../img/Sponsor_Ferchner.png");
  background-size: 170px;
  background-position: center;
  background-repeat: no-repeat;
}

#haas-logo {
  background: url("./../img/Sponsor_Haas.png");
  background-size: 170px;
  background-position: center;
  background-repeat: no-repeat;
}

#fleck-logo {
  background: url("./../img/Sponsor_Fleck.png");
  background-size: 170px;
  background-position: center;
  background-repeat: no-repeat;
}

#krinner-logo {
  background: url("./../img/Sponsor_Krinner.png");
  background-size: 90px;
  background-position: center;
  background-repeat: no-repeat;
}

@media (max-width: 1782px) {
  .sponsor-box {
    flex-basis: 27.5%;
  }
}

@media (max-width: 1622px) {
  .sponsor-box {
    flex-basis: 30%;
  }
}

@media (max-width: 1488px) {
  .sponsor-box {
    padding: 1rem 2rem;
  }

  .flex-container {
    align-items: stretch;
  }
}

@media (max-width: 1088px) {
  .flex-container {
    padding: 0 0 4rem 0;
  }

  .sponsor-box {
    min-height: initial;
    padding: 1rem 1rem;
  }

}

@media (max-width: 950px) {
  .sponsor-box {
        padding: 1rem 0rem;
      }
}

@media (max-width: 900px) {
  .flex-container {
    flex-direction: column;
    padding: 0 0 4rem 0;
  }
}

@media (max-width: 768px) {
  .flex-container {
    width: 90%;
  }

  .sponsor-box {
        padding: 1rem 0.8rem;
      }
}

@media (max-width: 409px) {
  .sponsor-box {
    padding: 1rem 2rem;
  }
}

@media (max-width: 338px) {

  .sponsor-box {
    padding: .5rem 1rem 2rem 1rem;
  }
}

/* === Footer === */
/* === FOOTER BEREICH */
#footer {
  background-color: var(--darkgreen);
  height: 2.8rem;
  color: #FFFFFF;
}

#footer nav {
  display: inline-block;
  float: right;
}

#footer-nav a {
  text-decoration: none;

}

#footer-nav a:link {
  color: #FFFFFF;
}

#footer-nav a:visited {
  color: #FFFFFF;
}

#footer-nav a:hover {
  color: #FFFFFF;
}

#footer-nav a:active {
  color: #F0F0F0;
}

@media (max-width: 460px) {

  #footer span {
    display: none;
  }

}



/* === Grid System  Sichtbarkeit === 

body * {

  border: 1px solid #91c4ff;

}


[class*="col-"] {
  background-color: #bfddff;
}

p {
  background-color: #91c4ff;
  padding: 0;
  margin: 0;
  color: #FFFFFF;
  text-align: center;
} 

*/

/* === Grid System === */

.container {
    width: 95%;
    margin-left: auto;
    margin-right: auto;
}
  
.row::after {
    content: "";
    clear: both;
    display: block;
}
  
  
[class*="col-"] {
    float: left;
    min-height: 1px;
    padding: .8rem;
}
  
.col-1 { width: 16.666%; }
.col-2 { width: 33.333%; }
.col-4 { width: 66.666%; }
.col-3 { width: 50%;     }
.col-6 { width: 100%;    }
  
  /* === Breakpoints === */
@media (max-width: 1024px) {
    .col-1 { width: 33.333%; }
}
  
@media (max-width: 768px) {
    .col-1 { width: 50%; }
    .col-2 { width: 100%; }
    .col-3 { width: 100%; }
    .col-4 { width: 100%; }
}
  
@media (max-width: 480px) {
    .col-1 { width: 100%; }
    .col-2 { width: 100%; }
    .col-3 { width: 100%; }
    .col-4 { width: 100%; }
}